Changeset 1559


Ignore:
Timestamp:
Dec 21, 2010 7:04:18 AM (7 years ago)
Author:
stefan
Message:

Vol now also has doxygen tag files; update externals; rerun autotools

Location:
stable/2.6
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • stable/2.6

    • Property svn:externals
      •  

        old new  
        1 BuildTools  https://projects.coin-or.org/svn/BuildTools/releases/0.6.1/
        2 ThirdParty/ASL  https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/releases/1.1.1/
        3 ThirdParty/Blas  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/releases/1.1.1/
        4 ThirdParty/Lapack  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/releases/1.2.1/
        5 ThirdParty/Glpk  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Glpk/releases/1.7.1/
        6 Data/Sample  https://projects.coin-or.org/svn/Data/Sample/stable/1.1/
        7 CoinUtils  https://projects.coin-or.org/svn/CoinUtils/releases/2.7.0/CoinUtils
        8 Cgl  https://projects.coin-or.org/svn/Cgl/releases/0.56.0/Cgl
        9 Clp  https://projects.coin-or.org/svn/Clp/releases/1.13.0/Clp
         1BuildTools  https://projects.coin-or.org/svn/BuildTools/releases/0.6.2/
         2ThirdParty/ASL  https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/releases/1.1.2/
         3ThirdParty/Blas  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/releases/1.1.2/
         4ThirdParty/Lapack  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/releases/1.2.2/
         5ThirdParty/Glpk  https://projects.coin-or.org/svn/BuildTools/ThirdParty/Glpk/releases/1.7.2/
         6Data/Sample  https://projects.coin-or.org/svn/Data/Sample/releases/1.1.0/
         7CoinUtils  https://projects.coin-or.org/svn/CoinUtils/releases/2.7.1/CoinUtils
         8Cgl  https://projects.coin-or.org/svn/Cgl/releases/0.56.1/Cgl
         9Clp  https://projects.coin-or.org/svn/Clp/releases/1.13.1/Clp
        1010Osi  https://projects.coin-or.org/svn/Osi/releases/0.104.1/Osi
        11 Vol  https://projects.coin-or.org/svn/Vol/releases/1.2.0/Vol
         11Vol  https://projects.coin-or.org/svn/Vol/releases/1.2.1/Vol
  • stable/2.6/Cbc/configure

    r1553 r1559  
    2788027880coin_doxy_tagfiles=
    2788127881coin_doxy_excludes=
    27882 tmp="CoinUtils Osi Clp DyLP Cgl"
     27882tmp="CoinUtils Osi Clp DyLP Cgl Vol"
    2788327883for proj in $tmp ; do
    2788427884  lc_proj=`echo $proj | tr [A-Z] [a-z]`
  • stable/2.6/Cbc/configure.ac

    r1530 r1559  
    322322#############################################################################
    323323
    324 AC_COIN_DOXYGEN(CoinUtils Osi Clp DyLP Cgl)
     324AC_COIN_DOXYGEN(CoinUtils Osi Clp DyLP Cgl Vol)
    325325
    326326##############################################################################
  • stable/2.6/Makefile.in

    r1554 r1559  
    110110CDEFS = @CDEFS@
    111111CFLAGS = @CFLAGS@
     112COIN_CC_IS_CL_FALSE = @COIN_CC_IS_CL_FALSE@
     113COIN_CC_IS_CL_TRUE = @COIN_CC_IS_CL_TRUE@
     114COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
     115COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
    112116COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    113117COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
  • stable/2.6/configure

    r1554 r1559  
    488488ac_subdirs_all="$ac_subdirs_all Cgl"
    489489ac_subdirs_all="$ac_subdirs_all Cbc"
    490 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     490ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    491491ac_subst_files=''
    492492
     
    18741874fi
    18751875
     1876# add automake conditional so we can recognize cl compiler in makefile
     1877coin_cc_is_cl=false
     1878if test x"$CXX" != x; then
     1879  case "$CXX" in
     1880    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     1881      coin_cc_is_cl=true
     1882      ;;
     1883  esac
     1884fi
     1885
     1886
     1887if test $coin_cc_is_cl = true; then
     1888  COIN_CC_IS_CL_TRUE=
     1889  COIN_CC_IS_CL_FALSE='#'
     1890else
     1891  COIN_CC_IS_CL_TRUE='#'
     1892  COIN_CC_IS_CL_FALSE=
     1893fi
     1894
     1895
    18761896
    18771897
     
    35843604
    35853605
     3606coin_cxx_is_cl=false
    35863607# It seems that we need to cleanup something here for the Windows
    35873608case "$CXX" in
     
    35893610    sed -e 's/^void exit (int);//' confdefs.h >> confdefs.hh
    35903611    mv confdefs.hh confdefs.h
     3612    coin_cxx_is_cl=true
    35913613    ;;
    35923614esac
     3615
     3616# add automake conditional so we can recognize cl compiler in makefile
     3617
     3618
     3619if test $coin_cxx_is_cl = true; then
     3620  COIN_CXX_IS_CL_TRUE=
     3621  COIN_CXX_IS_CL_FALSE='#'
     3622else
     3623  COIN_CXX_IS_CL_TRUE='#'
     3624  COIN_CXX_IS_CL_FALSE=
     3625fi
     3626
    35933627
    35943628# Autoconf incorrectly concludes that cl recognises -g. It doesn't.
     
    42284262
    42294263# Provide some information about the compiler.
    4230 echo "$as_me:4230:" \
     4264echo "$as_me:4264:" \
    42314265     "checking for Fortran 77 compiler version" >&5
    42324266ac_compiler=`set X $ac_compile; echo $2`
     
    64876521*-*-irix6*)
    64886522  # Find out which ABI we are using.
    6489   echo '#line 6489 "configure"' > conftest.$ac_ext
     6523  echo '#line 6523 "configure"' > conftest.$ac_ext
    64906524  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64916525  (eval $ac_compile) 2>&5
     
    84518485   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84528486   -e 's:$: $lt_compiler_flag:'`
    8453    (eval echo "\"\$as_me:8453: $lt_compile\"" >&5)
     8487   (eval echo "\"\$as_me:8487: $lt_compile\"" >&5)
    84548488   (eval "$lt_compile" 2>conftest.err)
    84558489   ac_status=$?
    84568490   cat conftest.err >&5
    8457    echo "$as_me:8457: \$? = $ac_status" >&5
     8491   echo "$as_me:8491: \$? = $ac_status" >&5
    84588492   if (exit $ac_status) && test -s "$ac_outfile"; then
    84598493     # The compiler can only warn and ignore the option if not recognized
     
    87198753   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87208754   -e 's:$: $lt_compiler_flag:'`
    8721    (eval echo "\"\$as_me:8721: $lt_compile\"" >&5)
     8755   (eval echo "\"\$as_me:8755: $lt_compile\"" >&5)
    87228756   (eval "$lt_compile" 2>conftest.err)
    87238757   ac_status=$?
    87248758   cat conftest.err >&5
    8725    echo "$as_me:8725: \$? = $ac_status" >&5
     8759   echo "$as_me:8759: \$? = $ac_status" >&5
    87268760   if (exit $ac_status) && test -s "$ac_outfile"; then
    87278761     # The compiler can only warn and ignore the option if not recognized
     
    88238857   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88248858   -e 's:$: $lt_compiler_flag:'`
    8825    (eval echo "\"\$as_me:8825: $lt_compile\"" >&5)
     8859   (eval echo "\"\$as_me:8859: $lt_compile\"" >&5)
    88268860   (eval "$lt_compile" 2>out/conftest.err)
    88278861   ac_status=$?
    88288862   cat out/conftest.err >&5
    8829    echo "$as_me:8829: \$? = $ac_status" >&5
     8863   echo "$as_me:8863: \$? = $ac_status" >&5
    88308864   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    88318865   then
     
    1116811202  lt_status=$lt_dlunknown
    1116911203  cat > conftest.$ac_ext <<EOF
    11170 #line 11170 "configure"
     11204#line 11204 "configure"
    1117111205#include "confdefs.h"
    1117211206
     
    1126811302  lt_status=$lt_dlunknown
    1126911303  cat > conftest.$ac_ext <<EOF
    11270 #line 11270 "configure"
     11304#line 11304 "configure"
    1127111305#include "confdefs.h"
    1127211306
     
    1361213646   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1361313647   -e 's:$: $lt_compiler_flag:'`
    13614    (eval echo "\"\$as_me:13614: $lt_compile\"" >&5)
     13648   (eval echo "\"\$as_me:13648: $lt_compile\"" >&5)
    1361513649   (eval "$lt_compile" 2>conftest.err)
    1361613650   ac_status=$?
    1361713651   cat conftest.err >&5
    13618    echo "$as_me:13618: \$? = $ac_status" >&5
     13652   echo "$as_me:13652: \$? = $ac_status" >&5
    1361913653   if (exit $ac_status) && test -s "$ac_outfile"; then
    1362013654     # The compiler can only warn and ignore the option if not recognized
     
    1371613750   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1371713751   -e 's:$: $lt_compiler_flag:'`
    13718    (eval echo "\"\$as_me:13718: $lt_compile\"" >&5)
     13752   (eval echo "\"\$as_me:13752: $lt_compile\"" >&5)
    1371913753   (eval "$lt_compile" 2>out/conftest.err)
    1372013754   ac_status=$?
    1372113755   cat out/conftest.err >&5
    13722    echo "$as_me:13722: \$? = $ac_status" >&5
     13756   echo "$as_me:13756: \$? = $ac_status" >&5
    1372313757   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1372413758   then
     
    1528615320   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1528715321   -e 's:$: $lt_compiler_flag:'`
    15288    (eval echo "\"\$as_me:15288: $lt_compile\"" >&5)
     15322   (eval echo "\"\$as_me:15322: $lt_compile\"" >&5)
    1528915323   (eval "$lt_compile" 2>conftest.err)
    1529015324   ac_status=$?
    1529115325   cat conftest.err >&5
    15292    echo "$as_me:15292: \$? = $ac_status" >&5
     15326   echo "$as_me:15326: \$? = $ac_status" >&5
    1529315327   if (exit $ac_status) && test -s "$ac_outfile"; then
    1529415328     # The compiler can only warn and ignore the option if not recognized
     
    1539015424   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1539115425   -e 's:$: $lt_compiler_flag:'`
    15392    (eval echo "\"\$as_me:15392: $lt_compile\"" >&5)
     15426   (eval echo "\"\$as_me:15426: $lt_compile\"" >&5)
    1539315427   (eval "$lt_compile" 2>out/conftest.err)
    1539415428   ac_status=$?
    1539515429   cat out/conftest.err >&5
    15396    echo "$as_me:15396: \$? = $ac_status" >&5
     15430   echo "$as_me:15430: \$? = $ac_status" >&5
    1539715431   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1539815432   then
     
    1759717631   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1759817632   -e 's:$: $lt_compiler_flag:'`
    17599    (eval echo "\"\$as_me:17599: $lt_compile\"" >&5)
     17633   (eval echo "\"\$as_me:17633: $lt_compile\"" >&5)
    1760017634   (eval "$lt_compile" 2>conftest.err)
    1760117635   ac_status=$?
    1760217636   cat conftest.err >&5
    17603    echo "$as_me:17603: \$? = $ac_status" >&5
     17637   echo "$as_me:17637: \$? = $ac_status" >&5
    1760417638   if (exit $ac_status) && test -s "$ac_outfile"; then
    1760517639     # The compiler can only warn and ignore the option if not recognized
     
    1786517899   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1786617900   -e 's:$: $lt_compiler_flag:'`
    17867    (eval echo "\"\$as_me:17867: $lt_compile\"" >&5)
     17901   (eval echo "\"\$as_me:17901: $lt_compile\"" >&5)
    1786817902   (eval "$lt_compile" 2>conftest.err)
    1786917903   ac_status=$?
    1787017904   cat conftest.err >&5
    17871    echo "$as_me:17871: \$? = $ac_status" >&5
     17905   echo "$as_me:17905: \$? = $ac_status" >&5
    1787217906   if (exit $ac_status) && test -s "$ac_outfile"; then
    1787317907     # The compiler can only warn and ignore the option if not recognized
     
    1796918003   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1797018004   -e 's:$: $lt_compiler_flag:'`
    17971    (eval echo "\"\$as_me:17971: $lt_compile\"" >&5)
     18005   (eval echo "\"\$as_me:18005: $lt_compile\"" >&5)
    1797218006   (eval "$lt_compile" 2>out/conftest.err)
    1797318007   ac_status=$?
    1797418008   cat out/conftest.err >&5
    17975    echo "$as_me:17975: \$? = $ac_status" >&5
     18009   echo "$as_me:18009: \$? = $ac_status" >&5
    1797618010   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1797718011   then
     
    2286622900coin_doxy_tagfiles=
    2286722901coin_doxy_excludes=
    22868 tmp="CoinUtils Osi Clp DyLP Cgl"
     22902tmp="CoinUtils Osi Clp DyLP Cgl Vol"
    2286922903for proj in $tmp ; do
    2287022904  lc_proj=`echo $proj | tr [A-Z] [a-z]`
     
    2288922923          echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
    2289022924echo "${ECHO_T}$doxydir (tag)" >&6
    22891           coin_doxy_excludes="$coin_doxy_excludes */${proj}*"
     22925          coin_doxy_excludes="$coin_doxy_excludes */${proj}"
    2289222926        else
    2289322927          # will process the source -- nothing further to be done here
     
    2311623150
    2311723151
     23152if test -z "${COIN_CC_IS_CL_TRUE}" && test -z "${COIN_CC_IS_CL_FALSE}"; then
     23153  { { echo "$as_me:$LINENO: error: conditional \"COIN_CC_IS_CL\" was never defined.
     23154Usually this means the macro was only invoked conditionally." >&5
     23155echo "$as_me: error: conditional \"COIN_CC_IS_CL\" was never defined.
     23156Usually this means the macro was only invoked conditionally." >&2;}
     23157   { (exit 1); exit 1; }; }
     23158fi
     23159if test -z "${COIN_CXX_IS_CL_TRUE}" && test -z "${COIN_CXX_IS_CL_FALSE}"; then
     23160  { { echo "$as_me:$LINENO: error: conditional \"COIN_CXX_IS_CL\" was never defined.
     23161Usually this means the macro was only invoked conditionally." >&5
     23162echo "$as_me: error: conditional \"COIN_CXX_IS_CL\" was never defined.
     23163Usually this means the macro was only invoked conditionally." >&2;}
     23164   { (exit 1); exit 1; }; }
     23165fi
    2311823166if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
    2311923167  { { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined.
     
    2368823736s,@build_vendor@,$build_vendor,;t t
    2368923737s,@build_os@,$build_os,;t t
     23738s,@COIN_CC_IS_CL_TRUE@,$COIN_CC_IS_CL_TRUE,;t t
     23739s,@COIN_CC_IS_CL_FALSE@,$COIN_CC_IS_CL_FALSE,;t t
    2369023740s,@CDEFS@,$CDEFS,;t t
    2369123741s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
     
    2370823758s,@CXXFLAGS@,$CXXFLAGS,;t t
    2370923759s,@ac_ct_CXX@,$ac_ct_CXX,;t t
     23760s,@COIN_CXX_IS_CL_TRUE@,$COIN_CXX_IS_CL_TRUE,;t t
     23761s,@COIN_CXX_IS_CL_FALSE@,$COIN_CXX_IS_CL_FALSE,;t t
    2371023762s,@MPICXX@,$MPICXX,;t t
    2371123763s,@ADD_FFLAGS@,$ADD_FFLAGS,;t t
  • stable/2.6/configure.ac

    r1554 r1559  
    6262#############################################################################
    6363
    64 AC_COIN_DOXYGEN(CoinUtils Osi Clp DyLP Cgl)
     64AC_COIN_DOXYGEN(CoinUtils Osi Clp DyLP Cgl Vol)
    6565
    6666##############################################################################
Note: See TracChangeset for help on using the changeset viewer.